processing.app.contrib

## Class ExamplesContribution

- Object
- - Contribution
  - - LocalContribution
    - - ExamplesContribution

-     public class ExamplesContribution
      extends LocalContribution

- - ### Field Summary

    - ### Fields inherited from class LocalContribution

      `DELETION_FLAG, RESTART_FLAG, UPDATE_FLAGGED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<String>` | `getCompatibleModesList()`
    `ContributionType` | `getType()`
    `static boolean` | `isExamplesCompatible(Base base, File exampleLocationFolder)` Function to determine whether or not the example present in the exampleLocation directory is compatible with the present mode.
    `static ExamplesContribution` | `load(File folder)`
    `static void` | `loadMissing(Base base)`

    - ### Methods inherited from class LocalContribution

      `getFolder, getId, getLatestVersion, getSpecifiedImports, initLoader, isInstalled`

    - ### Methods inherited from class Contribution

      `getAuthorList, getLastUpdated, getMaxRevision, getMinRevision, getName, getParagraph, getPrettyVersion, getSentence, getTypeName, getUrl, getVersion, isCompatible`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### load

          public static ExamplesContribution load(File folder)

    - #### isExamplesCompatible

          public static boolean isExamplesCompatible(Base base,
                                                     File exampleLocationFolder)

      Function to determine whether or not the example present in the exampleLocation directory is compatible with the present mode.
      Parameters:
        `base` -
        `exampleLocationFolder` -
      Returns:
        true if the example is compatible with the mode of the currently active editor

    - #### loadMissing

          public static void loadMissing(Base base)

    - #### getType

          public ContributionType getType()

      Specified by:
        `getType` in class `Contribution`

    - #### getCompatibleModesList

          public ArrayList<String> getCompatibleModesList()